mscorlib 2.0.0.0 4.0.0.0 System.ValueType System.Runtime.InteropServices.ComVisible(true)

Code that is being examined in the reflection-only context cannot be executed, so it is not always possible to examine custom attributes by creating instances of them and then examining their properties, using methods like , , and so on. If the code for the attribute type itself is loaded into the reflection-only context, it cannot be executed.

The structure is used by the class to provide access to the type and value of a positional argument specified for a custom attribute instance, without executing the attribute constructor. It also provides access to the type and value of a named argument without executing the code of the corresponding property of the custom attribute type.

The types and values of all the positional and named arguments of an attribute instance are provided by structures. The positional attributes returned by the property are directly represented by structures, but the named arguments returned by the property are represented by structures; to get the structure for a named argument, use the property.

If an argument is an array of values, the property of the that represents the argument returns a generic of objects. Each object in the collection represents the corresponding element of the array.

To create instances of the class, use the static factory method.

Represents an argument of a custom attribute in the reflection-only context, or an element of an array argument.

- Constructor
  4.0.0.0

  The parameter cannot be null for this constructor, because the argument type is inferred from the type of . To specify a null value, use the constructor.

  This constructor is for use by inheritors of the class. It is not intended for use in application code.

  Initializes a new instance of the class with the specified value.

  The value of the custom attribute argument.
- Constructor
  4.0.0.0

  This constructor is for use by inheritors of the class. It is not intended for use in application code.

  Initializes a new instance of the class with the specified type and value.

  The type of the custom attribute argument.
  The value of the custom attribute argument.
- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  For simple arguments or for elements of array arguments, this property identifies the actual type of the value returned by the property. For array arguments, this property returns the array type, but the property returns a ReadOnlyCollection<CustomAttributeTypedArgument> (ReadOnlyCollection(Of CustomAttributeTypedArgument) in Visual Basic) in which each element of the collection represents the corresponding element of the array argument.

  Gets the type of the argument or of the array argument element.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are equivalent.

  true if the two structures are equal; otherwise, false.

  The structure to the left of the equality operator. The structure to the right of the equality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether two structures are different.

  true if the two structures are different; otherwise, false.

  The structure to the left of the inequality operator. The structure to the right of the inequality operator.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string consisting of the argument name, the equal sign, and a string representation of the argument value.

  A string consisting of the argument name, the equal sign, and a string representation of the argument value.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  If the represents an array argument, this property returns a ReadOnlyCollection<CustomAttributeTypedArgument> (ReadOnlyCollection(Of CustomAttributeTypedArgument) in Visual Basic). Each element of the collection represents the corresponding element of the array argument.

  The type of the value can be obtained by using the property. gets the actual type of the value returned by the property for simple arguments or for elements of array arguments. It returns the array type for array arguments.

  Gets the value of the argument for a simple argument or for an element of an array argument; gets a collection of values for an array argument.